@import "../../../../../assets/css/constants.scss";

.summary-container {
  h4 {
    border-bottom: 1px solid #000000d4;
    padding: 15px 0;
    font-size: 1em;
    font-weight: 400;
    margin: 0;
  }
  .amt-details {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid $SANED_SECONDARY_COLOR;
    padding: 15px 0;
    .amt-left {
      flex: 1;
      color: $SANED_SECONDARY_COLOR;
      font-weight: 600;
      font-size: 0.9em;
    }
    .amt-right {
      flex: 1;
      text-align: right;
      color: $SANED_BTN_PRIMARY;
      font-weight: bold;
      font-size: 0.9em;
    }
  }
  .total {
    border-bottom: none !important;
  }
  .primary-btn {
    background-color: $SANED_BTN_PRIMARY;
    border-color: $SANED_BTN_PRIMARY;
    color: $PRIMARY_WHITE !important;
    font-size: 20px;
    font-weight: 400;
    height: 48px;
    max-height: 48px;
    width: 100%;
    color: $PRIMARY_WHITE;
    margin: 20px 0;
    &:hover {
      background-color: $SANED_BTN_PRIMARY;
    }
    &:active {
      outline: 0;
    }
  }
  .checkout-btn {
    display: flex;
    justify-content: flex-end;
    border-bottom: 1px solid $SANED_SECONDARY_COLOR;
    border-top: 1px solid $SANED_SECONDARY_COLOR;
    button {
      width: 208px;
      height: 42px;
      text-transform: uppercase;
      font-size: 0.9em;
    }
  }
}

@media only screen and (max-width: 768px) {
  .summary-container {
    padding: 0 30px;
  }
}
